function mini_create ()
  show_help_wnd=true;
  init_mini(1);
  -- create_mini(8128);
    create_mini(23,256,52,768,565,684,230,769,565,9,651);

end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)
  if sender==26 then
    if id==100 then
    set_visible_object(5001,true)
    end;
  return; end;
  if sender==30 then
  BlockCursor(false);
    setcurentleaf("garaj",8,0);
      flags.nohints=false;
    if flags.minicomplete30 then  
    CreatePolygon(63,4,"Field")
    Set_Cursor(63,2);
      playeffect("29");
      speciale_action(2,59);  
      collaps_obj(59,0,0,10,1);
      Set_Cursor(59,3);
      Set_Cursor(57,3);
      playeffect("20");
      MoveObjectToTree(59); 
      StopEmiter("mawina");
      AddParticleToObject(63,"Svet2",506,471);
      MoveEmiter("Svet2",506,471);
      if not flags.minicomplete24 then
        StartEmiter("Svet2");
        set_visible_object(63,true)
      end;
      savegame(SaveLevel());
    return; end;
  return; end;  
  if sender==10 then
   MoveObjectY(651,58,393,2);
   playeffect("prop");
     BlockCursor(true);
  return; end;
    if sender==28 then
      if id==651 then
        
        flags.minicomplete30=true;
          StartTimer(2100,1)
      return; end;
    return;end;
  if sender==37 then
     skipping=true;
  return;end;  
  if sender==36 and id==2100 then
     clear_satelite_leaf("garaj");
  return;end;  
  if sender==100 then
    if not help then
      CreateWindow(200,200,"1",100,"messageinfo",30,50)
      --playeffect("01");
      help=true;
    end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender==1 then
    if id==6000 then
      helpbtn=true;
    return;end
    if id==5000 and skipping then
      if not flags.minicomplete30 then
        finish_mini_game(true);
      return;end;  
    return;end;
    if id==645 then
        playeffect("17");  
      finish_mini_game(false);
      DeleteResource("m30_close"       );
      DeleteResource("m30_fon"         );
      DeleteResource("korob"         );
      clear_satelite_leaf("garaj");
    return;end;
    if id>=652 and id<=659 then 
      check_mini_game_NO_SKB(0);
      add_to_mouse(id);
      mousepressed=true;
      objectid=id;
        return; end;
  return;end;
  if sender==6 then
    if helpbtn then
       CreateWindow(200,200,"1",100,"messageinfo",30,50)
        playeffect("11");  
      helpbtn=false;
    end;
    if mousepressed then
      RemoveFromMouse(objectid);
      playeffect("boxes");
      check_mini_game_NO_SKB(2);
      mousepressed=false
      objectid=0
    return;end;  
    end;
end;